javax.xml.ws.handler

## Enum MessageContext.Scope

- java.lang.Object
- - java.lang.Enum<MessageContext.Scope>
  - - javax.xml.ws.handler.MessageContext.Scope

All Implemented Interfaces:
  Serializable, Comparable<MessageContext.Scope>

Enclosing interface:
  MessageContext

    public static enum MessageContext.Scope
    extends Enum<MessageContext.Scope>

Property scope. Properties scoped as `APPLICATION` are visible to handlers, client applications and service endpoints; properties scoped as `HANDLER` are only normally visible to handlers.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APPLICATION`
`HANDLER`

### Method Summary

Methods
`static MessageContext.Scope` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageContext.Scope[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### APPLICATION

    public static final MessageContext.Scope APPLICATION

#### HANDLER

    public static final MessageContext.Scope HANDLER

### Method Detail

#### values

    public static MessageContext.Scope[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MessageContext.Scope c : MessageContext.Scope.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MessageContext.Scope valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.